Bug 730790 - [abrt] system-config-printer-1.3.5-3.fc16: system-config-printer.py:31:<module>:ImportError: No module named gtk
Summary: [abrt] system-config-printer-1.3.5-3.fc16: system-config-printer.py:31:<modul...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pygtk2
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1a6b8343e7ce9e1ec0fa9ee7b5f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 19:06 UTC by Mads Kiilerich
Modified: 2013-02-26 15:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 15:07:09 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-15 19:06:37 UTC
abrt version: 2.0.5
cmdline:        
comment:        This one crashed on startup - perhaps some dependency is missing
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.0.1-3.fc16.x86_64
reason:         system-config-printer.py:31:<module>:ImportError: No module named gtk
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Mon Aug 15 19:05:10 2011
uid:            1000
username:       liveuser

backtrace:
:system-config-printer.py:31:<module>:ImportError: No module named gtk
:
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/system-config-printer.py", line 31, in <module>
:    import gtk
:ImportError: No module named gtk
:
:Local variables in innermost frame:
:dbus: <module 'dbus' from '/usr/lib/python2.7/site-packages/dbus/__init__.pyc'>
:thread: <module 'thread' (built-in)>
:__builtins__: <module '__builtin__' (built-in)>
:os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
:__file__: '/usr/share/system-config-printer/system-config-printer.py'
:__package__: None
:sys: <module 'sys' (built-in)>
:re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
:time: <module 'time' from '/usr/lib64/python2.7/lib-dynload/timemodule.so'>
:__name__: '__main__'
:config: <module 'config' from '/usr/share/system-config-printer/config.pyc'>
:__doc__: None

Comment 1 Mads Kiilerich 2011-08-15 19:52:08 UTC
Apparently caused by having pygtk2.x86_64 and pygobject2.i686 ...

Comment 2 Garrett Holmstrom 2011-08-15 20:07:49 UTC
(In reply to comment #1)
> Apparently caused by having pygtk2.x86_64 and pygobject2.i686 ...

In that case I suspect the pygtk2 package needs to Require pygobject2%{?_isa} instead of plain pygobject2.

Comment 3 Mads Kiilerich 2011-08-15 20:16:55 UTC
Some more details:

pygobject2 contains pygtk.pth and pygtk.py - it seems to me like they really should be in the pygtk2 package instead.

Anyway, the problem is that pygtk.path puts the 'wrong' gtk-2.0 path in sys.path.

pygobject2 do however also amend the gtk-2.0 folder, so it should have a dependency to pygtk2 - with the right arch.

Comment 4 Fedora End Of Life 2013-01-16 20:46:05 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-26 15:07:12 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.